org.keycloak.adapters.jetty.core

## Class AbstractKeycloakJettyAuthenticator.KeycloakAuthentication

- java.lang.Object
- - org.eclipse.jetty.security.AbstractUserAuthentication
  - - org.eclipse.jetty.security.UserAuthentication
    - - org.keycloak.adapters.jetty.core.AbstractKeycloakJettyAuthenticator.KeycloakAuthentication

- All Implemented Interfaces:
    Serializable, org.eclipse.jetty.server.Authentication, org.eclipse.jetty.server.Authentication.User
  Enclosing class:
    AbstractKeycloakJettyAuthenticator

      public abstract static class AbstractKeycloakJettyAuthenticator.KeycloakAuthentication
      extends org.eclipse.jetty.security.UserAuthentication

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.jetty.server.Authentication

      `org.eclipse.jetty.server.Authentication.Challenge, org.eclipse.jetty.server.Authentication.Deferred, org.eclipse.jetty.server.Authentication.Failed, org.eclipse.jetty.server.Authentication.Failure, org.eclipse.jetty.server.Authentication.ResponseSent, org.eclipse.jetty.server.Authentication.SendSuccess, org.eclipse.jetty.server.Authentication.User, org.eclipse.jetty.server.Authentication.Wrapped`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.jetty.security.AbstractUserAuthentication

      `_method, _userIdentity`

    - ### Fields inherited from interface org.eclipse.jetty.server.Authentication

      `NOT_CHECKED, SEND_CONTINUE, SEND_FAILURE, SEND_SUCCESS, UNAUTHENTICATED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractKeycloakJettyAuthenticator.KeycloakAuthentication(String method, org.eclipse.jetty.server.UserIdentity userIdentity)`

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.jetty.security.UserAuthentication

      `logout, toString`

    - ### Methods inherited from class org.eclipse.jetty.security.AbstractUserAuthentication

      `declaredRolesContains, getAuthMethod, getUserIdentity, isUserInRole`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractKeycloakJettyAuthenticator.KeycloakAuthentication

          public AbstractKeycloakJettyAuthenticator.KeycloakAuthentication(String method,
                                                                   org.eclipse.jetty.server.UserIdentity userIdentity)

Copyright © 2015. All Rights Reserved.